Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface ServicesDocument.Services

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  ServicesDocumentImpl.ServicesImpl

Enclosing interface:
  ServicesDocument

    public static interface ServicesDocument.Services

extends org.apache.xmlbeans.XmlObject

An XML services(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `ServicesDocument.Services.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`ServiceDocument.Service` | `addNewService()` Appends and returns a new empty value (as xml) as the last "service" element
`ServiceDocument.Service[]` | `getServiceArray()` Deprecated.
`ServiceDocument.Service` | `getServiceArray(int i)` Gets ith "service" element
`java.util.List<ServiceDocument.Service>` | `getServiceList()` Gets a List of "service" elements
`ServiceDocument.Service` | `insertNewService(int i)` Inserts and returns a new empty value (as xml) as the ith "service" element
`void` | `removeService(int i)` Removes the ith "service" element
`void` | `setServiceArray(int i, ServiceDocument.Service service)` Sets ith "service" element
`void` | `setServiceArray(ServiceDocument.Service[] serviceArray)` Sets array of all "service" element
`int` | `sizeOfServiceArray()` Returns number of "service" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getServiceList

    java.util.List<ServiceDocument.Service> getServiceList()

  Gets a List of "service" elements

### getServiceArray

    ServiceDocument.Service[] getServiceArray()

  Deprecated.

  Gets array of all "service" elements

### getServiceArray

    ServiceDocument.Service getServiceArray(int i)

  Gets ith "service" element

### sizeOfServiceArray

    int sizeOfServiceArray()

  Returns number of "service" element

### setServiceArray

    void setServiceArray(ServiceDocument.Service[] serviceArray)

  Sets array of all "service" element

### setServiceArray

    void setServiceArray(int i,
                         ServiceDocument.Service service)

  Sets ith "service" element

### insertNewService

    ServiceDocument.Service insertNewService(int i)

  Inserts and returns a new empty value (as xml) as the ith "service" element

### addNewService

    ServiceDocument.Service addNewService()

  Appends and returns a new empty value (as xml) as the last "service" element

### removeService

    void removeService(int i)

  Removes the ith "service" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD